Point of Sale

All Extensions / Store Management / Point of Sale Square for WooCommerce Developed by WooCommerce Information & Requirements An account with Square WooCommerce version 2.6 or higher A valid SSL certificate is required WooCommerce Square is currently only available for the U.S., Canada, Australia, Japan and the UK. View documentation for more info →Integrate your point of sale system with WooCommerce.

Get access to customer-only benefits

WooCommerce - the most customizable eCommerce platform for building your online business.